#### HELP

#### Synopsis

    HELP:   Help and list of parameters (no output)
    TYPE:   SWITCH
    SYNTAX: HELP/LIST

#### Description

- z/OS
  - If the HELP function is requested in the first input line, the generated FLAM parameters and their values are displayed and the program is terminated without doing compression, decompression or encrypting.
- UNIX
  - The parameter `-list` permits a list of the installation-specific default values to be output.
- WINDOWS
  - It is possible to display the installation specific standard settings on screen with the parameter "list".

Syntax restrictions for FLAMv4 or older:

- z/OS
  - `HELP`
    - Note: If the Help function is requested in the first input line, the generated FLAM parameters and their values are output and the program is terminated.
- UNIX
  - `-list[=list specification]`
    - Note: With the list parameter the installation-specific default values can be displayed.
      When a list specification is supplied, the current setting of default value for the respective parameter is displayed.
      When list specification is omitted, a list of all current values is displayed except the code tables for ASCII-EBCDIC and EBCDIC-ASCII translations. Also, the FLAM version and its creation date are displayed.
- WINDOWS
  - `list`
    - Note: Output of default values to a file is possible with command: `flam4 list 2>FILE`

Values

- z/OS
  - No values
- UNIX
  - list specification = Any flam parameter for which a default value can be set.
- WINDOWS
  - No values

Default

- none

Valid for

- compression
- decompression